import unittest
import utils


class TestMatrixGaussJordan(unittest.TestCase):
    def matrix_gauss_jordan(self, optimization_level):
        utils.write_perf_to_file(
            'matrix_gauss_jordan', optimization_level,
            utils.run_perf_test(
                ["test_harness.alc", "matrix.alc",
                 "matrix_gauss_jordan.alc", "primitives.alc",
                 "random.alc", "jit.alc"],
                [25],
                optimization_level))

utils.define_perf_tests(TestMatrixGaussJordan, TestMatrixGaussJordan.matrix_gauss_jordan)